unit uIEditorElegirArticulos;

interface

uses
  uIEditorArticulos, uBizArticulos, uArticulosController, uGUIBase;

type
  IEditorElegirArticulos = interface(IEditorArticulos)
  ['{549F3B97-46E2-4D40-8080-566065735FA0}']
    function GetArticulos: IBizArticulo;
    procedure SetArticulos(const Value: IBizArticulo);
    property Articulos: IBizArticulo read GetArticulos write SetArticulos;

    function GetController : IArticulosController;
    procedure SetController (const Value : IArticulosController);
    property Controller : IArticulosController read GetController write SetController;

    function GetArticulosSeleccionados: IBizArticulo;
    property ArticulosSeleccionados: IBizArticulo read GetArticulosSeleccionados;

    procedure SetMultiSelect (AValue : Boolean);
    function GetMultiSelect : Boolean;
    property MultiSelect : Boolean read GetMultiSelect write SetMultiSelect;

    procedure SetMensaje (const AValue: String);
    function GetMensaje: String;
    property Mensaje : String read GetMensaje write SetMensaje;
  end;


implementation

end.
